cordova.define("com.nantian.blue", function(require, exports, module) {
	var exec = require('cordova/exec');

	module.exports = {
		open: function(successCallback, errorCallback, key) {
			exec(successCallback, errorCallback, "NTBluetoothPlugin", "open", [key]);
		},
		scan: function(successCallback, errorCallback, key) {
			exec(successCallback, errorCallback, "NTBluetoothPlugin", "scan", [key]);
		},
		stopScan: function(successCallback, errorCallback, key) {
			exec(successCallback, errorCallback, "NTBluetoothPlugin", "stopScan", [key]);
		},
		connect: function(successCallback, errorCallback, key) {
			exec(successCallback, errorCallback, "NTBluetoothPlugin", "connect", [key]);
		},
		disconnect: function(successCallback, errorCallback, key) {
			exec(successCallback, errorCallback, "NTBluetoothPlugin", "disconnect", [key]);
		},
		getDeviceServices: function(successCallback, errorCallback, key) {
			exec(successCallback, errorCallback, "NTBluetoothPlugin", "getDeviceServices", [key]);
		},
		getDeviceCharacteristics: function(successCallback, errorCallback, key) {
        			exec(successCallback, errorCallback, "NTBluetoothPlugin", "getDeviceCharacteristics", [key]);
        },
        writeCharacteristicValue: function(successCallback, errorCallback, key) {
        			exec(successCallback, errorCallback, "NTBluetoothPlugin", "writeCharacteristicValue", [key]);
        } ,
        notifyCharacteristicValueChange: function(successCallback, errorCallback, key) {
                exec(successCallback, errorCallback, "NTBluetoothPlugin", "notifyCharacteristicValueChange", [key]);
         } ,
         readBLECharacteristicValue: function(successCallback, errorCallback, key) {
                exec(successCallback, errorCallback, "NTBluetoothPlugin", "readBLECharacteristicValue", [key]);
         }

	};
});