cordova.define("com.nantian.finger", function(require, exports, module) {
	var exec = require('cordova/exec');

	module.exports = {

		/**
		 * 检查当前设备是否支持指纹识别（包含硬件是否支持和是否添加有指纹）
		 */
		isSupportFingerprint: function(successCallback, errorCallback) {
			exec(successCallback, errorCallback, "NTFinger", "isSupportFingerprint", []);
		},
		/**
         * 开始验证指纹
         */
        startIdentify: function(successCallback, errorCallback) {
            exec(successCallback, errorCallback, "NTFinger", "startIdentify", []);
        },
        /**
         * 取消正在执行的指纹验证
         */
        cancelIdentify: function(successCallback, errorCallback) {
            exec(successCallback, errorCallback, "NTFinger", "cancelIdentify", []);
        }
	};
});