cordova.define("com.nantian.share", function(require, exports, module) {
	var exec = require('cordova/exec');

	module.exports = {
		/**
		 * 分享
         *  @param successCallback 	成功的回调，返回加密后的密文
         *  @param failCallback    	失败的回调，返回失败原因
         *  @param text    			分享的内容
         *  "{"img":"www/img/1.jpg","title":"分享的标题","content":"分享内容的简介","url":"点击分享内容后跳转的页面路径"}"
		 */
		share: function(successCallback, errorCallback, text) {
			exec(successCallback, errorCallback, "NTShare", "share", [text]);
		},
		onShareAppMessage: function(successCallback, errorCallback, text) {
        			exec(successCallback, errorCallback, "NTShare", "onShareAppMessage", [text]);
        		},
       hideShareMenu: function(successCallback, errorCallback, text) {
       			exec(successCallback, errorCallback, "NTShare", "hideShareMenu", [text]);
       		}


	};
});