cordova.define("com.nantian.capturescreen", function(require, exports, module) {
	var exec = require('cordova/exec');

	module.exports = {
		/**
		 * 保存信息
		 * @param successCallback 	成功的回调
         * @param failCallback    	失败的回调
         * @param key    			取值的key
         * @param value    			要保存的值
		 */
		onUserCaptureScreen: function(successCallback, errorCallback, key) {
			exec(successCallback, errorCallback, "NTCaptureScreenPlugin", "onUserCaptureScreen", [key]);
		},
		offUserCaptureScreen: function(successCallback, errorCallback, key) {
			exec(successCallback, errorCallback, "NTCaptureScreenPlugin", "offUserCaptureScreen", [key]);
		}
	};
});