cordova.define('com.nantian.navigator', function(require, exports, module) {
      var exec = require('cordova/exec');

      module.exports = {

            setNavigationBar: function(successCallback, failCallback, json) {
                exec(successCallback, failCallback, 'NTNavigator', 'setNavigationBar', [json]);
            },

            navigateTo: function(successCallback, failCallback, pageId) {
                exec(successCallback, failCallback, 'NTNavigator', 'navigateTo', [pageId]);
            },

            navigateBack: function(successCallback, failCallback) {
                exec(successCallback, failCallback, 'NTNavigator', 'navigateBack', []);
            },

            redirectTo: function(successCallback, failCallback) {
                exec(successCallback, failCallback, 'NTNavigator', 'redirect', []);
            },

            showNavigationBarLoading: function(successCallback, failCallback) {
                exec(successCallback, failCallback, 'NTNavigator', 'showNavigationBarLoading', []);
            },

            hideNavigationBarLoading: function(successCallback, failCallback) {
                exec(successCallback, failCallback, 'NTNavigator', 'hideNavigationBarLoading', []);
            },

            reLaunch: function(successCallback, failCallback) {
                exec(successCallback, failCallback, 'NTNavigator', 'reLaunch', []);
            }

     };
});
