cordova.define("com.nantian.network", function(require, exports, module) {
	var exec = require('cordova/exec');

	module.exports = {
		/**
		 * 保存信息
		 * @param successCallback 	成功的回调
         * @param failCallback    	失败的回调
         * @param key    			取值的key
         * @param value    			要保存的值
		 */
		getNetworkType: function(successCallback, errorCallback, key, value) {
			exec(successCallback, errorCallback, "NTNetworkPlugin", "getNetworkType", [key, value]);
		},
		onNetworkStatusChange: function(successCallback, errorCallback, key, value) {
			exec(successCallback, errorCallback, "NTNetworkPlugin", "onNetworkStatusChange", [key, value]);
		}
,
		offNetworkStatusChange: function(successCallback, errorCallback, key, value) {
			exec(successCallback, errorCallback, "NTNetworkPlugin", "offNetworkStatusChange", [key, value]);
		}
	};
});