cordova.define("com.nantian.chat", function(require, exports, module) {
	var exec = require('cordova/exec');

	module.exports = {
		/**
		 * 初始化聊天模块
		 */
		initChat: function(successCallback, errorCallback, userinfo) {
			exec(successCallback, errorCallback, "NTChat", "initChat", [userinfo]);
		},
		/**
		 * 打开聊天主页
		 */
		openChat: function(successCallback, errorCallback) {
			exec(successCallback, errorCallback, "NTChat", "openChat", []);
		},
		/**
		 * 退出聊天模块 > 退出后将无法收到即时消息，若需要重新收消息，需要 > initChat > openChat
		 */
		exitChat: function(successCallback, errorCallback) {
			exec(successCallback, errorCallback, "NTChat", "exitChat", []);
		}
	};
});