cordova.define("com.nantian.peripherals", function(require, exports, module) {
	var exec = require('cordova/exec');

	module.exports = {

		openDevice: function(params, successCallback, errorCallback) {
			exec(successCallback, errorCallback, "NTPeripherals", "openDevice", [params]);
		},
		closeDevice: function(params, successCallback, errorCallback) {
            exec(successCallback, errorCallback, "NTPeripherals", "closeDevice", [params]);
        },


        getCardReaderStatus: function(params, successCallback, errorCallback) {
            exec(successCallback, errorCallback, "NTPeripherals", "getCardReaderStatus", [params]);
        },
        readCard: function(params, successCallback, errorCallback) {
            exec(successCallback, errorCallback, "NTPeripherals", "readCard", [params]);
        },
        cancelRead: function(params, successCallback, errorCallback) {
            exec(successCallback, errorCallback, "NTPeripherals", "cancelRead", [params]);
        },
        resetCard: function(params, successCallback, errorCallback) {
			exec(successCallback, errorCallback, "NTPeripherals", "resetCard", [params]);
		},
		ICDA: function(params, successCallback, errorCallback) {
            exec(successCallback, errorCallback, "NTPeripherals", "ICDA", [params]);
        },
        ICPreOnline: function(params, successCallback, errorCallback) {
            exec(successCallback, errorCallback, "NTPeripherals", "ICPreOnline", [params]);
        },
        ICAfterOnline: function(params, successCallback, errorCallback) {
            exec(successCallback, errorCallback, "NTPeripherals", "ICAfterOnline", [params]);
        },


        getPrinterStatus: function(params, successCallback, errorCallback) {
            exec(successCallback, errorCallback, "NTPeripherals", "getPrinterStatus", [params]);
        },
        printData: function(params, successCallback, errorCallback) {
            exec(successCallback, errorCallback, "NTPeripherals", "printData", [params]);
        },
        resetPrinter: function(params, successCallback, errorCallback) {
            exec(successCallback, errorCallback, "NTPeripherals", "resetPrinter", [params]);
        },


        getFingerprintStatus: function(params, successCallback, errorCallback) {
            exec(successCallback, errorCallback, "NTPeripherals", "getFingerprintStatus", [params]);
        },
        getFingerCode: function(params, successCallback, errorCallback) {
            exec(successCallback, errorCallback, "NTPeripherals", "getFingerCode", [params]);
        },
        getFingerImage: function(params, successCallback, errorCallback) {
            exec(successCallback, errorCallback, "NTPeripherals", "getFingerImage", [params]);
        },
        contrastFinger: function(params, successCallback, errorCallback) {
            exec(successCallback, errorCallback, "NTPeripherals", "contrastFinger", [params]);
        },
        cancelFinger: function(params, successCallback, errorCallback) {
            exec(successCallback, errorCallback, "NTPeripherals", "cancelFinger", [params]);
        },


        getPinPadStatus: function(params, successCallback, errorCallback) {
            exec(successCallback, errorCallback, "NTPeripherals", "getPinPadStatus", [params]);
        },
        initPinPad: function(params, successCallback, errorCallback) {
            exec(successCallback, errorCallback, "NTPeripherals", "initPinPad", [params]);
        },
        isKeyLoaded: function(params, successCallback, errorCallback) {
            exec(successCallback, errorCallback, "NTPeripherals", "isKeyLoaded", [params]);
        },
        loadKey: function(params, successCallback, errorCallback) {
            exec(successCallback, errorCallback, "NTPeripherals", "loadKey", [params]);
        },
        encrypt: function(params, successCallback, errorCallback) {
            exec(successCallback, errorCallback, "NTPeripherals", "encrypt", [params]);
        },
        inputData: function(params, successCallback, errorCallback) {
            exec(successCallback, errorCallback, "NTPeripherals", "inputData", [params]);
        },
        inputPin: function(params, successCallback, errorCallback) {
            exec(successCallback, errorCallback, "NTPeripherals", "inputPin", [params]);
        },
        resetPin: function(params, successCallback, errorCallback) {
            exec(successCallback, errorCallback, "NTPeripherals", "resetPin", [params]);
        },
        getPinBlock: function(params, successCallback, errorCallback) {
            exec(successCallback, errorCallback, "NTPeripherals", "getPinBlock", [params]);
        },


        getCardDispenserStatus: function(params, successCallback, errorCallback) {
            exec(successCallback, errorCallback, "NTPeripherals", "getCardDispenserStatus", [params]);
        },
        getCardUnitItem: function(params, successCallback, errorCallback) {
            exec(successCallback, errorCallback, "NTPeripherals", "getCardUnitItem", [params]);
        },
        initCardUnitItem: function(params, successCallback, errorCallback) {
            exec(successCallback, errorCallback, "NTPeripherals", "initCardUnitItem", [params]);
        },
        dispenseCard: function(params, successCallback, errorCallback) {
            exec(successCallback, errorCallback, "NTPeripherals", "dispenseCard", [params]);
        },
        pushCard: function(params, successCallback, errorCallback) {
            exec(successCallback, errorCallback, "NTPeripherals", "pushCard", [params]);
        },
        waitInsertCardAndTakeBack: function(params, successCallback, errorCallback) {
            exec(successCallback, errorCallback, "NTPeripherals", "waitInsertCardAndTakeBack", [params]);
        },
        dispenserRetain: function(params, successCallback, errorCallback) {
            exec(successCallback, errorCallback, "NTPeripherals", "dispenserRetain", [params]);
        },
        moveCard: function(params, successCallback, errorCallback) {
            exec(successCallback, errorCallback, "NTPeripherals", "moveCard", [params]);
        },
        setCardUnitItem: function(params, successCallback, errorCallback) {
            exec(successCallback, errorCallback, "NTPeripherals", "setCardUnitItem", [params]);
        }

	};
});