cordova.define("com.nantian.websocket", function(require, exports, module) {
	var exec = require('cordova/exec');

	module.exports = {
    		connectSocket: function(successCallback, errorCallback, key) {
    			exec(successCallback, errorCallback, "NTWebSocketPlugin", "connectSocket", [key]);
    		},
    		onSocketOpen: function(successCallback, errorCallback, key) {
                exec(successCallback, errorCallback, "NTWebSocketPlugin", "onSocketOpen", [key]);
            },
            offSocketOpen: function(successCallback, errorCallback, key) {
                exec(successCallback, errorCallback, "NTWebSocketPlugin", "offSocketOpen", [key]);
            },
            onSocketError: function(successCallback, errorCallback, key) {
                exec(successCallback, errorCallback, "NTWebSocketPlugin", "onSocketError", [key]);
            },
            offSocketError: function(successCallback, errorCallback, key) {
                exec(successCallback, errorCallback, "NTWebSocketPlugin", "offSocketError", [key]);
            },
            sendSocketMessage: function(successCallback, errorCallback, key) {
                exec(successCallback, errorCallback, "NTWebSocketPlugin", "sendSocketMessage", [key]);
            },
            onSocketMessage: function(successCallback, errorCallback, key) {
                exec(successCallback, errorCallback, "NTWebSocketPlugin", "onSocketMessage", [key]);
            },
            offSocketMessage: function(successCallback, errorCallback, key) {
                exec(successCallback, errorCallback, "NTWebSocketPlugin", "offSocketMessage", [key]);
            },
            closeSocket: function(successCallback, errorCallback, key) {
                exec(successCallback, errorCallback, "NTWebSocketPlugin", "closeSocket", [key]);
            },
            onSocketClose: function(successCallback, errorCallback, key) {
                exec(successCallback, errorCallback, "NTWebSocketPlugin", "onSocketClose", [key]);
            },
            offSocketClose: function(successCallback, errorCallback, key) {
                exec(successCallback, errorCallback, "NTWebSocketPlugin", "offSocketClose", [key]);
            }
    	};
});